/*
 * Java
 *
 * Copyright 2019 MicroEJ Corp. All rights reserved.
 * MicroEJ Corp PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package ej.audio;

/**
 * A playlist object using AudioFile.
 */
public class Playlist {
	/**
	 * Constructs a PlayList class containing a list for AudioFile.
	 */
	public Playlist() {
		throw new RuntimeException();
	}

	/**
	 * Adds an audio file.
	 *
	 * @param audioFile
	 *            AudioFile to add
	 */
	public void addAudioFile(AudioFile audioFile) {
		throw new RuntimeException();
	}

	/**
	 * Removes an audio file.
	 *
	 * @param audioFile
	 *            AudioFile to remove
	 */
	public void removeAudioFile(AudioFile audioFile) {
		throw new RuntimeException();
	}

	/**
	 * Select next file in list.
	 */
	public void selectNextFile() {
		throw new RuntimeException();
	}

	/**
	 * Select previous file in list.
	 */
	public void selectPreviousFile() {
		throw new RuntimeException();
	}

	/**
	 * Set the index of the selected file to the given index.
	 *
	 * @param index
	 *            index of the file to select
	 */
	public void selectFileByIndex(int index) {
		throw new RuntimeException();
	}

	/**
	 *  Get the file currently selected by index.
	 *
	 * @return the currently selected audio file.
	 */
	public AudioFile getCurrentFile() {
		throw new RuntimeException();
	}
}
