/*
 * Java
 *
 * Copyright 2018-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.aws.iot.pubsub;

/**
 * A specific exception relating to Google Cloud IoT Core services communication errors.
 */
public class IotCoreException extends Exception {

	/**
	 * Constructor
	 * 
	 * @param message
	 *            the message displayed in the stack trace
	 */
	public IotCoreException(String message) {
		super(message);
	}

	/**
	 * Constructor
	 * 
	 * @param t
	 *            the cause of the Exception
	 */
	public IotCoreException(Throwable t) {
		super(t);
	}

}
