# Overview
This library provides APIs for reading (DataReader) and writing (DataWriter) structured data in streaming.

A structured data is a value that can be:
- a base type: boolean, int (signed 32bits), long (signed 64bits), double precision floating point (64bits) and Unicode strings.
- a map: a sequence of key/value pairs. Map keys can be integer keys or String keys.
- an array: a sequence of values.

# Usage
Add the following line to your `module.ivy` or your `ivy.xml`:
> `<dependency org="ej.library.iot.data" name="data-api" rev="..."/>`

# Requirements
  - EDC-1.2 or higher

# Dependencies
_All dependencies are retrieved transitively by Ivy resolver_.

# Source
N/A

# Restrictions
None.