/*
 * Java
 *
 * Copyright 2018-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package googlecloud.iotcore;

/**
 * A configuration listener notified when the config of the device changes and at first connection.
 */
public interface ConfigListener {

	/**
	 * Called when the config changes.
	 *
	 * @param configData
	 *            application-dependent configuration data
	 */
	void onConfigChanged(byte[] configData);

}
