/*
 * Java
 *
 * Copyright 2015-2020 MicroEJ Corp. All rights reserved.
 * MicroEJ Corp. PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.microej.wadapps.kernel;

import java.io.IOException;

/**
 *
 */
public interface FactoryReset {

	/**
	 * Called to reset the board
	 *
	 * @throws IOException
	 *             if an IO error occurs.
	 */
	void reset() throws IOException;

}
